Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class CheckList

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.ejie.r01f.taglibs.xtags.BaseXTag
                  com.ejie.r01f.taglibs.xtags.CheckList

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class CheckList
extends BaseXTag

Clase que define un tag CHECKLIST utilizado en los xTags Un tag CHECKLIST se utiliza como: Lo que dara como resultado un xml como: esta seleccionado no esta seleccionado Si el atributo del xtag checkList 'textXMLElemName' no coincide con el atributo 'elementsName' el xml resultado sera: esta seleccionado no esta seleccionado

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CheckList()`

Method Summary
`int` | `doAfterBody()` Process the body of this tag.
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getChildXMLElemName()` Devuelve el nombre del tag xml en el que se devuelve cada uno de los valores
`boolean` | `getTextIsAttribute()` Devuelve si el elemento del xml resultante donde se devuelve el texto del check es un elemento tipo atributo
`java.lang.String` | `getTextXMLElemName()` Devuelve el nombre del elemento del xml resultante donde se va a devolver el texto (descripcion) del check
`boolean` | `getValueIsAttribute()` Devuelve si el elemento del xml resultante donde se devuelve el valor del check es un elemento tipo atributo
`java.lang.String` | `getValueXMLElemName()` Devuelve el nombre del elemento del xml resultante donde se va a devolver el valor (oid) del check
`void` | `release()` Release any acquired resources.
`void` | `setChildXMLElemName(java.lang.String x)` Establece el nombre del tag xml en el que se devuelve cada uno de los valores
`void` | `setTextIsAttribute(boolean x)` Establece si el elemento del xml resultante donde se devuelve el texto del check es un elemento tipo atributo
`void` | `setTextXMLElemName(java.lang.String x)` Establece el nombre del elemento del xml resultante donde se va a devolver el texto (description) del check
`void` | `setValueIsAttribute(boolean x)` Establece si el elemento del xml resultante donde se devuelve el valor del check es un elemento tipo atributo
`void` | `setValueXMLElemName(java.lang.String x)` Establece el nombre del elemento del xml resultante donde se va a devolver el valor (oid) del check

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTag
`getCheck, getFullPathName, getGenerateHTML, getGenerateJS, getId, getIsAttribute, getIsCDATA, getName, getXmlElemName, setCheck, setGenerateHTML, setGenerateJS, setId, setIsAttribute, setIsCDATA, setName, setXmlElemName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### CheckList

    public CheckList()

Method Detail

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseXTag`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Process the body of this tag.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### getChildXMLElemName

    public java.lang.String getChildXMLElemName()

  Devuelve el nombre del tag xml en el que se devuelve cada uno de los valores

  Returns:
    El nombre del tag xml

### setChildXMLElemName

    public void setChildXMLElemName(java.lang.String x)

  Establece el nombre del tag xml en el que se devuelve cada uno de los valores

### getValueXMLElemName

    public java.lang.String getValueXMLElemName()

  Devuelve el nombre del elemento del xml resultante donde se va a devolver el valor (oid) del check

### setValueXMLElemName

    public void setValueXMLElemName(java.lang.String x)

  Establece el nombre del elemento del xml resultante donde se va a devolver el valor (oid) del check

### getValueIsAttribute

    public boolean getValueIsAttribute()

  Devuelve si el elemento del xml resultante donde se devuelve el valor del check es un elemento tipo atributo

  Returns:
    true si el elemento es un atributo

### setValueIsAttribute

    public void setValueIsAttribute(boolean x)

  Establece si el elemento del xml resultante donde se devuelve el valor del check es un elemento tipo atributo

### getTextXMLElemName

    public java.lang.String getTextXMLElemName()

  Devuelve el nombre del elemento del xml resultante donde se va a devolver el texto (descripcion) del check

### setTextXMLElemName

    public void setTextXMLElemName(java.lang.String x)

  Establece el nombre del elemento del xml resultante donde se va a devolver el texto (description) del check

### getTextIsAttribute

    public boolean getTextIsAttribute()

  Devuelve si el elemento del xml resultante donde se devuelve el texto del check es un elemento tipo atributo

  Returns:
    true si el elemento es un atributo

### setTextIsAttribute

    public void setTextIsAttribute(boolean x)

  Establece si el elemento del xml resultante donde se devuelve el texto del check es un elemento tipo atributo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD